Bug 668922 - (CVE-2010-1679) CVE-2010-1679 dpkg: directory traversal flaw allows for arbitrary file creation
CVE-2010-1679 dpkg: directory traversal flaw allows for arbitrary file creation
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20101230,reported=20110104,sou...
: Security
Depends On: 668923
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-11 23:00 EST by Vincent Danen
Modified: 2015-08-19 05:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-12 07:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-01-11 23:00:10 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1679 to
the following vulnerability:

Name: CVE-2010-1679
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1679
Assigned: 20100430
Reference: DEBIAN:DSA-2142
Reference: URL: http://www.debian.org/security/2011/dsa-2142
Reference: UBUNTU:USN-1038-1
Reference: URL: http://www.ubuntu.com/usn/USN-1038-1
Reference: SECUNIA:42826
Reference: URL: http://secunia.com/advisories/42826
Reference: SECUNIA:42831
Reference: URL: http://secunia.com/advisories/42831
Reference: VUPEN:ADV-2011-0040
Reference: URL: http://www.vupen.com/english/advisories/2011/0040
Reference: VUPEN:ADV-2011-0044
Reference: URL: http://www.vupen.com/english/advisories/2011/0044

Directory traversal vulnerability in dpkg-source in dpkg before
1.14.31 and 1.15.x allows user-assisted remote attackers to modify
arbitrary files via directory traversal sequences in a patch for a
source-format 3.0 package.
Comment 1 Vincent Danen 2011-01-11 23:01:54 EST
Created dpkg tracking bugs for this issue

Affects: fedora-all [bug 668923]

Note You need to log in before you can comment on or make changes to this bug.